/* 
 * Differently colored button images for Naputus game
 * 
 * (C) 04/2002 by Eero Tamminen
 */

#include "glass.inc"

#switch (clock)
#range (1, 2)
      // red
      #declare b_color = <1.2, 0.5, 0.5>;
      #break
#range (3, 4)
      // green
      #declare b_color = <0.5, 1.2, 0.5>;
#break
#range (5, 6)
      // blue
      #declare b_color = <0.5, 0.5, 1.2>;
#break
#range (7, 8)
      // yellow
      #declare b_color = <1.2, 1.2, 0.5>;
#break
#end

#if (clock/2 = div(clock,2))
    // bright version
    #declare b_color = b_color * 2;
#end


// a button
sphere {
	<0, 0, 0>, 1
	interior{
		I_Glass
	}
	normal {
	       wrinkles 0.1
	}
	pigment {
		color rgb b_color
	}
	finish {
		F_Glass3
		ambient 0.4
	}
	scale <3, 3, 1>
}

// create some shadows while still lighting everything in view
light_source {
	// upleft
	<-5, 5, -5>
	color rgb <1, 1, 1>
}
light_source {
	// downright
	<5, -5, -2>
	color rgb <1, 1, 1>
}

// look straight to middle
camera {
	// use 1/1 aspect ratio
	right x
	
	location <0, 0, -6.2>
	look_at <0, 0, 0>
}
